"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.payinCompositeKeyIsomorphism = exports.payinApiDstIsomorphism = exports.payinApiSrcIsomorphism = void 0;
const parsers_1 = require("./parsers");
const parsers_common_1 = require("./parsers.common");
exports.payinApiSrcIsomorphism = {
    to: (x) => `${x.type}${parsers_1.SEPARATOR}${x.id}`,
    from: (x) => parsers_1.payinApiSrcCompositeParser.parse(x),
};
exports.payinApiDstIsomorphism = {
    to: (x) => `${x.type}${parsers_1.SEPARATOR}${x.id}`,
    from: (x) => parsers_1.payinApiDstCompositeParser.parse(x),
};
exports.payinCompositeKeyIsomorphism = {
    to: (x) => `${x.provider}${parsers_1.SEPARATOR}${x.originId}`,
    from: (x) => {
        const [provider, originId] = x.split(parsers_1.SEPARATOR);
        return parsers_common_1.payinCompositeIdParser.parse({ provider, originId });
    },
};
