import z from 'zod';
export declare const payinOriginTypeParser: z.ZodEnum<["stripe", "paypal"]>;
export declare const payinOriginIdParser: z.ZodEffects<z.ZodString, import("../stripe/types").StripePaymentIntentIdBrand, string>;
export declare const payinCompositeIdParser: z.ZodIntersection<z.ZodObject<{
    provider: z.ZodEnum<["stripe", "paypal"]>;
    originId: z.ZodEffects<z.ZodString, import("../stripe/types").StripePaymentIntentIdBrand, string>;
}, "strip", z.ZodTypeAny, {
    originId: import("../stripe/types").StripePaymentIntentIdBrand;
    provider: "paypal" | "stripe";
}, {
    originId: string;
    provider: "paypal" | "stripe";
}>, z.ZodDiscriminatedUnion<"provider", [z.ZodObject<{
    provider: z.ZodLiteral<"stripe">;
    originId: z.ZodEffects<z.ZodString, import("../stripe/types").StripePaymentIntentIdBrand, string>;
}, "strip", z.ZodTypeAny, {
    originId: import("../stripe/types").StripePaymentIntentIdBrand;
    provider: "stripe";
}, {
    originId: string;
    provider: "stripe";
}>, z.ZodObject<{
    provider: z.ZodLiteral<"paypal">;
    originId: z.ZodLiteral<"paypal">;
}, "strip", z.ZodTypeAny, {
    originId: "paypal";
    provider: "paypal";
}, {
    originId: "paypal";
    provider: "paypal";
}>]>>;
