"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.payinCompositeIdParser = exports.payinOriginIdParser = exports.payinOriginTypeParser = void 0;
const zod_1 = __importDefault(require("zod"));
const constants_1 = require("../origin/constants");
const parsers_1 = require("../stripe/parsers");
const constants_2 = require("./constants");
exports.payinOriginTypeParser = zod_1.default.enum(constants_2.PAYIN_ORIGIN_TYPES);
exports.payinOriginIdParser = parsers_1.stripePaymentIntentIdParser;
exports.payinCompositeIdParser = zod_1.default
    .object({
    provider: exports.payinOriginTypeParser,
    originId: exports.payinOriginIdParser,
})
    .and(zod_1.default.discriminatedUnion('provider', [
    zod_1.default.object({
        provider: zod_1.default.literal(constants_1.ORIGIN_TYPE_STRIPE),
        originId: parsers_1.stripePaymentIntentIdParser,
    }),
    zod_1.default.object({
        provider: zod_1.default.literal(constants_1.ORIGIN_TYPE_PAYPAL),
        originId: zod_1.default.literal('paypal'), // TODO
    }),
]));
